package com.zcloud.modules.kangzai.service.impl;
 import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
 import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
 import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
 import com.zcloud.common.utils.PageUtils;
 import com.zcloud.modules.kangzai.dao.BusRiverPointDao;
 import com.zcloud.modules.kangzai.entity.BusRiverPointEntity;
 import com.zcloud.modules.kangzai.service.BusRiverPointService;
 import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

 import java.util.List;
 import java.util.Map;

/**
 * @Author fangjiakai
 * @Desc 河流经纬度坐标点信息表(BusRiverPoint)表服务实现类
 * @Date 2025-06-09 09:50:37
 */
@Service("busRiverPointService")
public class BusRiverPointServiceImpl extends ServiceImpl<BusRiverPointDao, BusRiverPointEntity> implements BusRiverPointService {

    @Override
	public BusRiverPointEntity queryByFlexibleParams(String paramName, Object paramValue) {
		QueryWrapper<BusRiverPointEntity> queryWrapper = new QueryWrapper<>();
		queryWrapper.eq(paramName, paramValue); // 根据传入的参数名和参数值动态构建查询条件

		return baseMapper.selectOne(queryWrapper);
	}

	@Override
	public List<BusRiverPointEntity> queryListByFlexibleParams(String paramName, Object paramValue) {
		QueryWrapper<BusRiverPointEntity> queryWrapper = new QueryWrapper<>();
		queryWrapper.eq(paramName, paramValue); // 根据传入的参数名和参数值动态构建查询条件

		return baseMapper.selectList(queryWrapper);
	}

    @Override
    public PageUtils listPage(Map<String, Object> params) {
        Page<Map<String,Object>> page = new Page<>(Integer.parseInt(params.get("curPage").toString()),Integer.parseInt(params.get("limit").toString()));
        params.put("isDelete",0);
        IPage<BusRiverPointEntity> ipage = baseMapper.listPage(page,params);
        return new PageUtils(ipage);
    }


   @Override
	public void delete(Long riverPointId, String userId){
		UpdateWrapper<BusRiverPointEntity> updateWrapper = new UpdateWrapper<>();
		updateWrapper.eq("river_point_id",riverPointId);

		BusRiverPointEntity busRiverPoint = new BusRiverPointEntity();

		this.update(busRiverPoint, updateWrapper);
	}
}
